%define oname	Ardour
%define maj	%{expand:%(echo "%{version}" | cut -d. -f1)}
Name:		ardour
Version:	5.12.0
Release:	%mkrel 1
Summary:	Professional multi-track audio recording application
Group:		Sound
License:	GPLv2+
URL:		http://ardour.org/
Source0:	https://community.ardour.org/src/%{oname}-%{version}.tar.xz
BuildRequires:	dmalloc
BuildRequires:	doxygen
BuildRequires:	gettext
BuildRequires:	graphviz
BuildRequires:	xdg-utils
BuildRequires: desktop-file-utils 
BuildRequires: lib64alsa2-devel 
BuildRequires: lib64archive-devel
BuildRequires: lib64atk1.0-devel 
BuildRequires: lib64atkmm1.6-devel
BuildRequires: lib64aubio-devel 
BuildRequires: lib64bluez-devel 
BuildRequires: lib64boost-devel 
BuildRequires: lib64cairo-devel 
BuildRequires: lib64cairomm1.0-devel
BuildRequires: lib64curl-devel 
BuildRequires: lib64cwiid-devel
BuildRequires: lib64fftw-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel 
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64glibmm2.4-devel 
BuildRequires: lib64gtk+2.0_0-devel 
BuildRequires: lib64gtkmm2.4-devel
BuildRequires: lib64jack-devel 
BuildRequires: lib64lilv-devel
BuildRequires: lib64lo-devel 
BuildRequires: lib64lrdf-devel
BuildRequires: lib64pango1.0-devel 
BuildRequires: lib64pangomm2.4-devel 
BuildRequires: lib64raptor2-devel
BuildRequires: lib64readline-devel 
BuildRequires: lib64rubberband-devel
BuildRequires: lib64samplerate-devel
BuildRequires: lib64sigc++2.0_0-devel 
BuildRequires: lib64sndfile-devel
BuildRequires: lib64suil-devel 
BuildRequires: lib64taglib-devel 
BuildRequires: lib64usb1.0-devel
BuildRequires: lib64vamp-plugin-sdk-devel
BuildRequires: lib64x11-devel 
BuildRequires: lib64xml2-devel
BuildRequires: lv2-devel

Requires:	jackit

Obsoletes: ardour < %version
Obsoletes: ardour3
Obsoletes: ardour4

%description
Ardour is a digital audio workstation. You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video sound tracks, or
just experiment with new ideas about music and sound.

Ardour capabilities include: multi channel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/buses/plugins, time-code synchronization, and hardware control from
surfaces like the Mackie Control Universal.

%prep
%setup -q -n %{oname}-%{version}

%build
./waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --configdir=%{_sysconfdir} \
    --program-name=Ardour \
    --nls \
    --docs \
    --cxx11 \
    --with-backends="jack,alsa,dummy " \
    --no-phone-home

./waf build \
    --nls \
    --docs

./waf i18n_mo

%install
./waf install --destdir=%{buildroot}

# Symlink icons and mimetypes into the right folders
install -d -m 0755 %{buildroot}%{_iconsdir}

for i in 16 22 32 48; do
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes
ln -s %{_datadir}/%{name}%{maj}/icons/application-x-%{name}_${i}px.png \
%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/application-x-%{name}%{maj}.png
ln -s %{_datadir}/%{name}%{maj}/icons/application-x-%{name}_${i}px.png \
%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}%{maj}.png
done

cat>%{name}.desktop<<EOF
[Desktop Entry]
Comment=Digital Audio Workstation
Comment[en_GB]=Digital Audio Workstation
Exec=ardour%{maj}
GenericName=%{oname}
GenericName[en_GB]=%{oname}
Icon=%{name}%{maj}
MimeType=application/x-%{name};
Name=%{oname}
Name[en_GB]=%{oname}
StartupNotify=true
Terminal=false
Type=Application
Categories=AudioVideo;Audio;X-Recorders;X-Multitrack;X-Jack;X-MandrivaLinux-Multimedia-Video;

EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}.desktop


%files
%{_bindir}/ardour5-lua
%{_bindir}/%{name}%{maj}
%{_libdir}/%{name}%{maj}
%{_datadir}/%{name}%{maj}
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}%{maj}
%{_iconsdir}/hicolor/*
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/%{name}.menus
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/clearlooks.rc
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/default_ui_config
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/system_config
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/trx.menus
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/ardour.keys


%changelog
* Sat Sep 30 2017 bb2 <bb2> - 5.12.0-1pclos2017
- new version

* Tue Aug 08 2017 bb2 <bb3> 5.10.0-1pclos2017
- new version

* Sun Feb 05 2017 pp <pp> 5.5.0-1pclos2017
- update

* Wed Oct 26 2016 bb <bb> 5.4.0-1pclos2016
- update

